org.apache.fop.afp.fonts

## Class AFPFontCollection

- java.lang.Object
- - org.apache.fop.afp.fonts.AFPFontCollection

All Implemented Interfaces:
  FontCollection

    public class AFPFontCollection
    extends Object
    implements FontCollection

A base collection of AFP fonts

### Constructor Summary

Constructors
Constructor and Description
`AFPFontCollection(EventBroadcaster eventBroadcaster, List<AFPFontInfo> fontInfoList)` Main constructor

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `setup(int start, FontInfo fontInfo)` Sets up fonts in a font info object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AFPFontCollection

    public AFPFontCollection(EventBroadcaster eventBroadcaster,
                             List<AFPFontInfo> fontInfoList)

Main constructor

Parameters:
  `eventBroadcaster` - the event broadcaster
  `fontInfoList` - the font info list

### Method Detail

#### setup

    public int setup(int start,
                     FontInfo fontInfo)

Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

Specified by:
  `setup` in interface `FontCollection`
Parameters:
  `start` - the font starting number
  `fontInfo` - the font info to set up
Returns:
  the starting font number for the next font to be added